Name:           kde-plasma-yawp
Version:        0.3.4
Release:        1%{?dist}
Summary:        Yet Another Weather Plasmoid
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kde-look.org/content/show.php?content=94106
Source0:        http://downloads.sourceforge.net/yawp/yawp-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  kdebase-workspace-devel
BuildRequires:  kdelibs4-devel
BuildRequires:  kdeplasma-addons-devel


%description
This colorful plasmoid shows weather maps, reports and forecasts.


%prep
%setup -q -n yawp-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma_applet_yawp


%clean
rm -rf %{buildroot}


%files -f plasma_applet_yawp.lang
%defattr(-,root,root,-)
%doc CHANGELOG COPYRIGHT LICENSE* README TODO
%{_kde4_libdir}/kde4/plasma_applet_yawp.so
%{_kde4_libdir}/kde4/ion_accuweather.so
%{_kde4_libdir}/kde4/ion_google.so
%{_kde4_libdir}/kde4/ion_wunderground.so
%{_kde4_datadir}/kde4/services/plasma-applet-yawp.desktop
%{_kde4_datadir}/kde4/services/ion-accuweather.desktop
%{_kde4_datadir}/kde4/services/ion-google.desktop
%{_kde4_datadir}/kde4/services/ion-wunderground.desktop
%{_kde4_appsdir}/desktoptheme/default/widgets/*.svg


%changelog
* Sat Jul 10 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.3.4-1
- new version

* Tue Jun 15 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.3.3-1
- new version

* Wed Feb 10 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.3.2-2
- Rebuild against KDE SC 4.4.0 (#549620)

* Sun Dec 06 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.3.2-1
- Update to new upstream version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 06 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.2.3-1
- Initial build
